restinio::easy_parser::impl::custom_consumer_t< C > Class Template Reference

A template for consumers that are released by lambda/functional objects. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::custom_consumer_t< C >:

## Public Member Functions

| custom_consumer_t (C &&consumer)
template<typename Target_Type , typename Value >
void | consume (Target_Type &dest, Value &&src) const noexcept(noexcept(m_consumer(dest, std::forward< Value >(src))))

## Private Attributes

C | m_consumer

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::consumer_tag
static constexpr entity_type_t | entity_type = entity_type_t::consumer

## Detailed Description

template<typename C>
class restinio::easy_parser::impl::custom_consumer_t< C >

A template for consumers that are released by lambda/functional objects.

Template Parameters

  C | the type of lambda/functional object/function pointer to be used as the actual consumer.

Since
  v.0.6.1

Definition at line 2939 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## custom_consumer_t()

template<typename C >

restinio::easy_parser::impl::custom_consumer_t< C >::custom_consumer_t | ( | C && | consumer | ) |

inline

Definition at line 2944 of file easy_parser.hpp.

## Member Function Documentation

## consume()

template<typename C >
template<typename Target_Type , typename Value >

void restinio::easy_parser::impl::custom_consumer_t< C >::consume | ( | Target_Type & | dest,
|  | Value && | src
| ) |  | const

inlinenoexcept

Definition at line 2948 of file easy_parser.hpp.

## Member Data Documentation

## m_consumer

template<typename C >

C restinio::easy_parser::impl::custom_consumer_t< C >::m_consumer

private

Definition at line 2941 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp